<?php
interface Plugg_Widget_Widget
{
    function widgetGetNames();
    function widgetGetTitle($widgetName);
    function widgetGetContent(Sabai_User $user, Sabai_Template_PHP $template, $widgetName);
}